Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mx4j.tools.adaptor.http
Class CommandProcessorUtil

    java.lang.Object
      mx4j.tools.adaptor.http.CommandProcessorUtil

public class CommandProcessorUtil
extends java.lang.Object

Contains utilities common to CommandProcessor objects

Version:
  $Revision: 1.3 $

Constructor Summary
`CommandProcessorUtil()`

Method Summary
`protected static boolean` | `canCreateParameterValue(java.lang.String parameterType)` Checks if the given type is primitive of can be initialized from String. This is done by trying to load the class and checking if there is a public String only constructor.
`static java.util.Comparator` | `createClassComparator()`
`static java.util.Comparator` | `createConstructorComparator()`
`static java.util.Comparator` | `createObjectInstanceComparator()`
`static java.util.Comparator` | `createObjectNameComparator()`
`protected static java.lang.Object` | `createParameterValue(java.lang.String parameterType, java.lang.String parameterValue)` Creates a parameter object of the given type containing a given value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CommandProcessorUtil

    public CommandProcessorUtil()

Method Detail

### createParameterValue

    protected static java.lang.Object createParameterValue(java.lang.String parameterType,
                                                           java.lang.String parameterValue)
                                                    throws java.lang.Exception

  Creates a parameter object of the given type containing a given value. If the type is unknown null is returned

  Parameters:
    `parameterType` - Indicates the type of the parameter, for instance java.lang.String
    `parameterValue` - The value of the parameter as a String
  Returns:
    an object of parameterType type and value parameterValue or null if the type is unknown
  Throws:
    `Thrown` - in case there is a data conversion error
    `java.lang.Exception`

### canCreateParameterValue

    protected static boolean canCreateParameterValue(java.lang.String parameterType)

  Checks if the given type is primitive of can be initialized from String.
  This is done by trying to load the class and checking if there is a public String only constructor.

  Parameters:
    `parameterType` - Indicates the type of the parameter, for instance java.lang.String
  Returns:
    true if the type is primitive or String initializable
  Throws:
    `Thrown` - in case there is a data conversion error

### createObjectNameComparator

    public static java.util.Comparator createObjectNameComparator()

### createObjectInstanceComparator

    public static java.util.Comparator createObjectInstanceComparator()

### createConstructorComparator

    public static java.util.Comparator createConstructorComparator()

### createClassComparator

    public static java.util.Comparator createClassComparator()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.